/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.VWARMASACTDIR")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Vwarmasactdir.findAll", query = "SELECT v FROM Vwarmasactdir v"),
    @NamedQuery(name = "Vwarmasactdir.findByCregistro", query = "SELECT v FROM Vwarmasactdir v WHERE v.cregistro = :cregistro"),
    @NamedQuery(name = "Vwarmasactdir.findByCountrycode", query = "SELECT v FROM Vwarmasactdir v WHERE v.countrycode = :countrycode"),
    @NamedQuery(name = "Vwarmasactdir.findByCantoncode", query = "SELECT v FROM Vwarmasactdir v WHERE v.cantoncode = :cantoncode"),
    @NamedQuery(name = "Vwarmasactdir.findByCitycode", query = "SELECT v FROM Vwarmasactdir v WHERE v.citycode = :citycode"),
    @NamedQuery(name = "Vwarmasactdir.findByProvincecode", query = "SELECT v FROM Vwarmasactdir v WHERE v.provincecode = :provincecode"),
    @NamedQuery(name = "Vwarmasactdir.findByParroquiacode", query = "SELECT v FROM Vwarmasactdir v WHERE v.parroquiacode = :parroquiacode"),
    @NamedQuery(name = "Vwarmasactdir.findByAddress", query = "SELECT v FROM Vwarmasactdir v WHERE v.address = :address")})
public class Vwarmasactdir implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "CREGISTRO")
    private long cregistro;
    @Column(name = "COUNTRYCODE")
    private String countrycode;
    @Column(name = "CANTONCODE")
    private String cantoncode;
    @Column(name = "CITYCODE")
    private String citycode;
    @Column(name = "PROVINCECODE")
    private String provincecode;
    @Column(name = "PARROQUIACODE")
    private String parroquiacode;
    @Column(name = "ADDRESS")
    private String address;

    public Vwarmasactdir() {
    }

    public long getCregistro() {
        return cregistro;
    }

    public void setCregistro(long cregistro) {
        this.cregistro = cregistro;
    }

    public String getCountrycode() {
        return countrycode;
    }

    public void setCountrycode(String countrycode) {
        this.countrycode = countrycode;
    }

    public String getCantoncode() {
        return cantoncode;
    }

    public void setCantoncode(String cantoncode) {
        this.cantoncode = cantoncode;
    }

    public String getCitycode() {
        return citycode;
    }

    public void setCitycode(String citycode) {
        this.citycode = citycode;
    }

    public String getProvincecode() {
        return provincecode;
    }

    public void setProvincecode(String provincecode) {
        this.provincecode = provincecode;
    }

    public String getParroquiacode() {
        return parroquiacode;
    }

    public void setParroquiacode(String parroquiacode) {
        this.parroquiacode = parroquiacode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    
}
